### Method

# ICalGLib Parser get_line

since: 1.0

#### Declaration [src]

    gchar*
    i_cal_parser_get_line (
      ICalParser* parser,
      ICalParserLineGenFunc func,
      gpointer user_data
    )

#### Description [src]

Given a line generator function, returns a single iCal content line.

Available since: 1.0

#### Parameters

`func`

  Type: `ICalParserLineGenFunc`

  A line generator function.

`user_data`

  Type: `gpointer`

  The data given to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A single iCal content line.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.